## model
Class GoDate

    java.lang.Object
      model.GoDate

    public class GoDate

extends java.lang.Object

Class GoDate is used to parse and store dates used by the program. Also provides static methods that can be used to print the system date and/or time.

Field Summary
`private java.util.Date` `date`
`private static java.lang.String[]` `date_formats`

Constructor Summary
`GoDate(java.lang.String date_str)` Constructor tries to parse a new GoDate object from the parameter string

Method Summary
`static java.lang.String` `getDateAndTimeString()` Method for getting the system date and time.
`static java.lang.String` `getDateString()` Method for getting the system date.
`static java.lang.String` `getTimeString()` Method for getting the system time.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### date

    private transient java.util.Date date

### date_formats

    private static java.lang.String[] date_formats

Constructor Detail

### GoDate

    public GoDate(java.lang.String date_str)
           throws ParseGoDateException

  Constructor tries to parse a new GoDate object from the parameter string

  Parameters:
    `date_str` - is converted to a GoDate object
  Throws:
    `ParseGoDateException` - thrown if the parameter string cannot be parsed as a GoDate object

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDateString

    public static java.lang.String getDateString()

  Method for getting the system date.

  Returns:
    system date as string

### getTimeString

    public static java.lang.String getTimeString()

  Method for getting the system time.

  Returns:
    system time as string

### getDateAndTimeString

    public static java.lang.String getDateAndTimeString()

  Method for getting the system date and time.

  Returns:
    system date and time as string